Mozilla Released Security Updates  - cnPrH1533711431 - Mozilla Released Security Updates for Thunderbird & Fixed Critical Security Flaws

Mozilla Released Security Updates for critical vulnerabilities that affected Thunderbird Mail client along with newly released Thunderbird 60.

Mozilla Thunderbird is a free and open-source cross-platform email client, RSS and chat client developed by the Mozilla Foundation and it is installed by default on Ubuntu desktop .

Mozilla changed various improvement and new features to improve the user experience also this Thunderbird 60 released with newly updated logo, various improvement in Calendar and attachment handling.

There are 4 vulnerabilities has been addressed and under this security updates, some of the vulnerabilities result in a potentially exploitable crash.

According to Mozilla report, These cannot be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potential risks in a browser or browser-like contexts.

Mozilla Released Security Updates Note

1.CVE--12359: Buffer overflow using computed size of canvas element –A buffer overflow can occur when rendering canvas content

2.CVE-2018-12360: Use-after-free when using focus() –   A use-after-free vulnerability can occur when deleting an input element during a mutation event handler triggered by focusing that element.

3.CVE-2018-12361: Integer overflow in SwizzleData – An integer overflow results in a potentially exploitable crash.

4.CVE-2018-12362: Integer overflow in SSSE3 scaler – An integer overflow can occur during graphics operations done by the Supplemental Streaming SIMD Extensions 3 (SSSE3) scaler, resulting in a potentially exploitable crash.

5. CVE-2018-5156: Media recorder segmentation fault when track type is changed during capture – A vulnerability can occur when capturing a media stream when the media source type is changed as the capture is occurring that leads to potentially exploitable crash.

6.CVE-2018-12363: Use-after-free when appending DOM nodes – A use-after-free vulnerability can occur when a script uses mutation events to move DOM nodes that result in a potentially exploitable crash.

7.CVE-2018-12364: CSRF attacks through 307 redirects and NPAPI plugins – NPAPI plugins, such as Adobe Flash, can send non-simple cross-origin requests, bypassing CORS by making a same-origin POST that does a 307 redirect to the target site.

8. CVE-2018-12365: Compromised IPC child process can list local filenames –A compromised IPC child process can escape the content sandbox and list the names of arbitrary files on the file system without user consent or interaction.

9.CVE-2018-12371: Integer overflow in Skia library during edge builder allocation- An integer overflow vulnerability in the Skia library when allocating memory for edge builders on some systems with at least 16 GB of RAM.

10. CVE-2018-12366: Invalid data handling during QCMS transformations- An invalid grid size during QCMS (color profile) transformations can result in the out-of-bounds read interpreted as a float value. This could private data into the output.

11.CVE-2018-12367: Timing attack mitigation of PerformanceNavigationTiming-  In the previous mitigations for Spectre, the resolution or precision of various methods was reduced to counteract the ability to measure precise time intervals.

12.CVE-2018-12368: No warning when opening executable SettingContent-ms files – Windows 10 does not warn before opening executable files with the SettingContent-msextension even when they have been downloaded from the internet and have the “Mark of the Web.” Without the warning, unsuspecting users unfamiliar with this new file type might run an unwanted executable.

13. CVE-2018-5187: Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, and Thunderbird 60 –Bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.

CVE-2018-5188: Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, Firefox ESR 52.9, and Thunderbird 60 – Bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.

 

Also Read: 

HP Released Security Updates For Critical Remote Code Execution With Inkjet Printers

Apache Software Foundation Releases Important Security Patches for Multiple Apache Tomcat Versions

Google Chrome to Show Not Secure For HTTP Sites and Fix for 42 Security Issues

Ubuntu Security Updates for Vulnerabilities that Affects Multiple Versions



Source link

LEAVE A REPLY

Please enter your comment!
Please enter your name here